      SUBROUTINE  N3DMP2 (NAME,ARAY,GRP,LNG,TAG)
      COMPILER (ADR=IND)
      COMPILER (GEN=NOTRA)
C
      IMPLICIT  INTEGER (A-Z)
      DIMENSION  NAME(2), ARAY(1)
C
      LOCA = LOC(ARAY)
          WRITE (6,1000)  NAME(1), NAME(2), LOCA, LNG
      IF (LNG.LE.0) RETURN                                              ROVE C
C
      TAGG = TAG
      DO 100 LIN=0,LNG,GRP
        DO    200 K=1,GRP
200     IF(ARAY(LIN+K).NE.0)     GO TO 250
        GO TO 100
250
          WRITE (6,1010) TAGG, (ARAY(LIN+J),J=1,GRP)
  100     TAGG = TAGG + GRP
      RETURN
C
 1000 FORMAT (//2X,2A6,' - ORIGIN = ',O6,'  LENGTH = ',O6/)             IMPROV
 1010 FORMAT (5X,O6,6(5X,O12))
      END
